%if 0%{?el7}
%define dist .el7
%endif

Name:		yara
Version:	3.11.0
Release:	1%{?dist}
Summary:	YARA in a nutshell

Group:		Applications/Internet
License:	GPLv3
URL:		http://virustotal.github.io/yara/
Source0:    https://github.com/VirusTotal/yara/archive/v%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	pcre-devel flex bison byacc
BuildRequires:  jansson-devel file-devel
BuildRequires:  libtool automake autoconf
BuildRequires:  gcc gcc-c++

Obsoletes:  yara-python

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
YARA is a tool aimed at helping malware researchers to identify and classify malware samples. With YARA you can create descriptions of malware families based on textual or binary patterns contained on samples of those families. Each description consists of a set of strings and a Boolean expression which determines its logic.

%package devel
Summary:	Libraries for Yara
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries for Yara

%prep
%setup -q
./bootstrap.sh

%build
%configure \
%if 0%{?fedora}
	--enable-cuckoo \
%endif
	--enable-magic

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS README.md sample.rules extra
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/yara
%{_bindir}/yarac
%{_libdir}/libyara.so.*
%{_mandir}/man1/yara.1*
%{_mandir}/man1/yarac.1*

%files devel
%{_includedir}/yara.h
%{_includedir}/yara/*.h
%{_libdir}/libyara.so
%{_libdir}/pkgconfig/yara.pc

%changelog
* Tue Dec 24 2019 momo-i <webmaster@momo-i.org> - 3.11.0-1
- Update to 3.11.0

* Sun Nov 25 2018 momo-i <webmaster@momo-i.org> - 3.8.1-1
- Update to 3.8.1

* Sat Jul 14 2018 momo-i <webmaster@momo-i.org> - 3.7.1-1
- Update to 3.7.1

* Sat Jun 17 2017 momo-i <webmaster@momo-i.org> - 3.6.1-1
- Update to 3.6.1

* Tue Nov 17 2015 momo-i <webmaster@momo-i.org> - 3.4.0-5
- Change compile option for el

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 3.4.0-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 3.4.0-3
- Rebuilt for fc23

* Tue Jul 07 2015 momo-i <webmaster@momo-i.org> - 3.4.0-2
- Update to 3.4.0

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 3.3.0-2
- Rebuilt for fc22

* Wed Mar  4 2015 momo-i <webmaster@momo-i.org> - 3.3.0-1
- Update to 3.3.0

* Tue Nov 18 2014 momo-i <webmaster@momo-i.org> - 3.2.0-1
- Update to 3.2.0

* Fri Sep 26 2014 momo-i <webmaster@momo-i.org> - 3.1.0-1
- Update to 3.1.0

* Tue Jan 21 2014 momo-i <webmaster@momo-i.org> - 2.0.0-1
- Update to 2.0.0
- Website moved to github

* Mon Jun 17 2013 momo-i <webmaster@momo-i.org> 1.7-1
- Upgrade to 1.7.

* Fri Apr 27 2012 momo-i <webmaster@momo-i.org> 1.6-1
- Initial rpm release.
